2012-09-22  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Relase 0.26.
	* NEWS: Update.
	* po/*: Update.

	* src/locate.c (conf_match_all_patterns): New variable.
	(string_matches_pattern): Implement conf_match_all_patterns.
	(help): Document -A.
	(parse_options): Set conf_match_all_patterns based on -A, --all.
	Based on a patch by Carlos J. G. Duarte <carlos.j.g.duarte@gmail.com>.
	* tests/locate.at (locate: -A): Test -A.
	* doc/locate.1.in: Document -A.

2012-06-25  Miloslav Trmač  <mitr@redhat.com>

	* Makefile.am (installcheck-local): Make sure the test suite is
	up-to-date before running it.

2012-06-03  Miloslav Trmač  <mitr@redhat.com>

	* tests/bind-mount.at (bind-mount: Empty mountinfo): Fix the test
	when run in (make installcheck).

2012-03-23  Miloslav Trmač  <mitr@redhat.com>

	* src/bind-mount.c (MOUNTINFO_PATH): Move to bind-mount.h.
	(mountinfo_path): New variable.  All users changed to use the variable.
	(bind_mount_init): New parameter mountinfo.  Initialize mountinfo_path.
	* src/bind-mount.h (MOUNTINFO_PATH): Moved from bind-mount.c.
	(bind_mount_init): Update declaration.
	* src/updatedb.c (main): Update for changed bind_mount_init ().
	* tests/bind-mount.at
	* tests/bind-mount-helper.c: New files.
	* tests/testsuite.at: Include bind-mount.at.
	* configure.ac: Add tests to PATH.
	* Makefile.am (check_PROGRAMS, tests_bind_mount_helper_LDADD): New
	definitions.
	(TESTFILES): Add tests/bind-mount.at.
	(src_updatedb_SOURCES): Move src/bind-mount.c src/bind-mount.h ...
	(src_liblib_a_SOURCES): ... here.

	* src/updatedb.c (time_is_current): Use "struct time" as input.  Add
	>3 seconds margin to account for low timestamp precision on FAT and for
	Linux kernel races.
	(scan): Check whether the timestamp needs invalidating even if the
	nanosecond field is non-zero.
	* tests/config.at (config: -v): Wait longer than the timestamp
	margin in time_is_current ().

	* tests/updatedb.at (updatedb: Concurrent modification): Use `wait'
	instead of `sleep', removing a race and making the test suite faster.

2012-03-03  Miloslav Trmač  <mitr@redhat.com>

	* COPYING: Update (new FSF address, s/Library GPL/Lesser GPL/).

	* configure.ac: Release 0.25.
	* NEWS: Update.
	* po/*: Update.
	* po/LINGUAS: Update.

2012-02-10  Miloslav Trmač  <mitr@redhat.com>

	* po/mlocate.pot: Update for Transifex.

2011-12-12  Miloslav Trmač  <mitr@redhat.com>

	* src/conf.c (prepend_cwd): Don't use PATH_MAX, it may not be defined.
	* src/updatedb.c (filesystem_is_excluded): Don't use PATH_MAX, it
	may not be defined.  canonicalize_file_name() allocates memory, so
	it is more costly, but Linux is unaffected.

2011-11-16  Miloslav Trmač  <mitr@redhat.com>

	* src/updatedb.c (scan_cwd): Don't trust the kernel to never return
	a zero-length file name, it unfortunately does happen.  In such a case,
	instead of aborting, report it to stderr, including the path, and
	continue.

2011-08-24  Miloslav Trmač  <mitr@redhat.com>

	* src/updatedb.c (main): Remove a debugging fprintf ().

	* doc/locate.1.in: Document that parent directories must exist for
	permission checking.  Suggested by Alexandre Oberlin <alxobr@yahoo.fr>.

2011-05-30  Miloslav Trmač  <mitr@redhat.com>

	* Makefile.am (installcheck-local): Fix AUTOTEST_PATH.

2011-04-28  Miloslav Trmač  <mitr@redhat.com>

	* src/lib.c (db_refill): Use the correct type for return value of
	safe_read ().

	* src/bind-mount.c (read_mount_entry): Fix an EOF check.

2011-03-31  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Release 0.24.
	* NEWS: Update.
	* po/*: Update.
	* po/LINGUAS: Update.

	* src/bind-mount.c (read_mount_line): Remove an unused variable.

	* src/bind-mount.c (add_bind_mount_path): Fold it into the caller again.

	* src/bind-mount.c: Update copyright year.

	* src/bind-mount.c: Note that tmpwatch uses a related implementation.

	* src/bind-mount.c (MOUNTINFO_PATH, struct mount, mount_entries)
	(num_mount_entries, mount_data_obstack, mount_data_mark)
	(mount_string_obstack, mount_string_mark, mount_list_obstack)
	(mountinfo_line_obstack, init_mount_entries, read_mount_line)
	(parse_mount_string, read_mount_entry, read_mount_entries): New
	definitions, reading /proc/self/mountinfo.
	(mountinfo_fd): New variable.
	(last_path_mounted_mtime): Removed variable.
	(add_bind_mount_path, cmp_ints, cmp_mount_entry_pointers)
	(cmp_id_mount_entry): New functions.
	(rebuild_bind_mount_paths, is_bind_mount, bind_mount_init): Use data
	from /proc/self/mountinfo.

2011-03-30  Miloslav Trmač  <mitr@redhat.com>

	* src/bind-mount.c (bind_mount_paths, bind_mount_paths_index)
	(last_path_mounted_mtime, bind_mount_paths_obstack)
	(bind_mount_paths_mark, rebuild_bind_mount_paths, is_bind_mount): Move
	from ...
	* src/updatedb.c: ... here.
	* src/bind-mount.c (bind_mount_init): Rename and move from ...
	* src/updatedb.c (init_bind_mount_paths): ... here, and move
	conf_prune_bind_mounts handling to the caller.
	* src/bind-mount.h: New file.
	* Makefile.am (src_updatedb_SOURCES): Add src/bind-mount.c and
	src/bind-mount.h.

	* src/lib.c (string_list_contains_dir_path): Rename and move from...
	* src/updatedb.c (path_is_in_list): ... here.  All callers updated.
	* src/lib.h (string_list_contains_dir_path): New declaration.

2011-03-10  Miloslav Trmač  <mitr@redhat.com>

	* doc/updatedb.8.in: Fix a typo.

2011-03-04  Miloslav Trmač  <mitr@redhat.com>

	* .tx/config: New file.
	* po/libuser.pot: Add to prepare for Transifex.

2011-02-04  John Bradshaw  <john@johnbradshaw.org>

	* doc/locate.1.in: Fix a typo.

2010-09-14  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Release version 0.23.1.
	* NEWS: Update.
	* po/LINGUAS: Update.

2010-08-30  Miloslav Trmač  <mitr@redhat.com>

	* HACKING: New file.

2010-08-26  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Release version 0.23.
	* NEWS: Update.
	* po/LINGUAS: Update.

2010-06-12  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Define PACKAGE_URL.
	* Makefile.am (tests/package.m4): Define AT_PACKAGE_URL.

	* tests/locate.at (locate: -r, locate: --regex): Replace `(' by a
	quadrigraph to avoid m4 quoting problems.

2010-05-25  Christian Faulhammer  <fauli@gentoo.org>

	* po/de.po: Misc. fixes and updates.

2010-03-30  Miloslav Trmač  <mitr@redhat.com>

	* src/updatedb.c (rebuild_bind_mount_paths): Ignore no-op bind mounts.
	* doc/updatedb.conf.5.in (PRUNE_BIND_MOUNTS): Document that no-op bind
	mounts are not skipped.

2010-03-26  Miloslav Trmač  <mitr@redhat.com>

	* gnulib/lib/stat-time.h (get_stat_birthtime_ns)
	(get_stat_birthtime): Fix a warning.

	* configure.ac: Release version 0.22.4.
	* NEWS: Update.
	* po/LINGUAS: Update.

2010-03-04  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Release version 0.22.3.
	* NEWS: Update.
	* po/LINGUAS: Update.

	* configure.ac: Use xz for compresssing the distribution tarball.

2009-10-02  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Release version 0.22.2.
	* NEWS: Update.
	* po/LINGUAS: Update.

2009-09-15  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Release version 0.22.1.
	* NEWS: Update.
	* po/LINGUAS: Update.

2009-07-20  Tomas Zellerin  <zellerin@gmail.com>

	* doc/mlocate.db.5: Document directory header padding.

2009-06-14  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Update to gettext 0.17.

2009-04-14  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Version 0.22.
	* NEWS: Update.
	* po/LINGUAS: Update.

	* po/hu.po: Fix errors.

	* tests/locate.at (locate: Invalid source database): Update error
	message.

	* doc/updatedb.8.in: Document that --require-visibility only applies
	if the database is privileged.

	* src/locate.c (handle_db): Document new parameter, beautify.
	(handle_dbpath_entry): Rename variable keep_gid to privileged_db.

2009-04-14  Peter Cordes  <peter@cordes.ca>

	* src/locate.c (handle_db, handle_dbpath_entry): Only verify directory
	read permissions for privileged databases.

2008-11-17  Miloslav Trmač  <mitr@redhat.com>

	* src/locate.c (drop_setgid): Split from handle_dbpath_entry ().
	(handle_dbpath_entry): Check a database is privileged before opening it
	as well, in order to consistently fail to open unprivileged databases in
	$(dbdir).

2008-10-31  Miloslav Trmač  <mitr@redhat.com>

	* src/lib.c (db_skip): Add an explicit cast to avoid a warning on
	platforms with sizeof (size_t) >= sizeof (off_t).

2008-10-28  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Version 0.21.1
	* NEWS: Update.
	* po/LINGUAS: Update.

2008-09-08  Miloslav Trmač  <mitr@redhat.com>

	* doc/updatedb.conf.5.in: Clarify wording.

2008-06-30  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Version 0.21.
	* NEWS: Update.
	* po/LINGUAS: Update.

	* po/cs.po: Update Czech translation.

	* src/updatedb.c (main): Modify an error message to use capitalization
	consistent with the others.

	* src/lib.c (db_open): Don't close fd on error.
	* src/locate.c (handle_db): Update for db_open change.
	* src/updatedb.c (old_db_is_closed): New variable.
	(old_db_close): Set old_db_is_closed instead of closing old_db.
	(old_dir_next_header, copy_old_dir): Check old_db_is_closed instead of
	old_db.fd.
	(old_db_open): Set old_db.fd = -1 if old_db is not initialized.  Set
	old_db_is_closed instead of closing old_db.  Open conf_output with
	O_RDWR.  Return the open file descriptor.
	(new_db_setup_permissions): Split from main ().
	(main): Exclusively lock the file at conf_output if present.  Close
	old_db or lock_file_fd before exiting.

2008-06-29  Miloslav Trmač  <mitr@redhat.com>

	* doc/updatedb.conf.5.in: Document PRUNENAMES.
	* doc/updatedb.8.in: Document --add-prunenames and --prunenames.
	* src/conf.h (conf_prunenames): New declaration.
	* src/conf.c (conf_prunenames, prunenames_var): New variables.
	(UCT_PRUNENAMES): New constant.
	(uc_lex): Recognize PRUNENAMES.
	(parse_updatedb_conf): Handle PRUNENAMES.
	(help): Document --add-prunenames and --prunenames.
	(parse_arguments): Handle --add-prunenames and --prunenames.
	(gen_conf_block): Store "prunenames".
	(conf_prepare): Handle prunenames_var and create sorted conf_prunenames.
	* src/updatedb.c (scan): Handle conf_prunenames.
	* tests/config.at (config: -h): Update.
	(config: -n, config: --prunenames): New tests.

2008-06-28  Miloslav Trmač  <mitr@redhat.com>

	* src/conf.c (conf_prepare): Sort conf_prunefs correctly and remove
	all duplicates.  Resolves ticket:4.

2008-06-27  Miloslav Trmač  <mitr@redhat.com>

	* src/updatedb.c (unlink_init): Unlink unlink_path on SIGABRT as well.
	Only list the handled signals once.

2008-06-09  Miloslav Trmač  <mitr@redhat.com>

	* src/lib.c (dir_path_cmp_init): Use the correct character value
	mapping instead of its inversion.  Resolves ticket:3.
	* tests/updatedb.at (updatedb: Path sorting): New test.

2008-04-09  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Version 0.20.
	* NEWS: Update.

	* po/LINGUAS: Add "bg" (by Alexander Todorov <atodorov@redhat.com>),
	"fr" (by Robert-André Mauchin <zebob.m@pengzone.org> and Thomas Canniot
	<mrtom@fedoraproject.org>), "it" (by Silvio Pierro
	<perplesso82@gmail.com> and Gianluca Busiello
	<busiello@ceinge.unina.it>), "pt_BR" (by Diego Búrigo Zacarão
	<diegobz@projetofedora.org>), "sr" and "sr@latin" (by Nikola Pajtić
	<salgeras@gmail.com> and Miloš Komarčević <kmilos@gmail.com>).

2008-03-16  Miloslav Trmač  <mitr@redhat.com>

	* doc/updatedb.8.in: Fix a typo.  Patch by Adeodato Simó
	<dato@net.com.org.es>.

	* doc/updatedb.8.in: Fix a typo, and stop using some non-words.

	* doc/updatedb.conf.5.in: Use \(dq instead of a quote in a comment to
	satisfy emacs.

2008-03-04  Miloslav Trmač  <mitr@redhat.com>

	* po/LINGUAS: Add "de" (by Fabian Affolter <fab@fedoraproject.org>) and
	"pl" (by Piotr Drąg <piotrdrag@gmail.com>).

	* tests/updatedb.at (updatedb: Permissions)
	(updatedb: Output creation): Expect the tests to fail if running as
	root.

2008-03-03  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Version 0.19.
	* NEWS: Update.

	* src/conf.h (conf_debug_pruning): New declaration.
	* src/updatedb.c (rebuild_bind_mount_paths)
	(filesystem_is_excluded, scan): Print detailed information about pruning
	decisions to stderr if conf_debug_pruning.
	* src/conf.c (conf_debug_pruning): New variable.
	(parse_arguments): Handle --debug-pruning.
	(conf_prepare): Print conf_block to stderr if conf_debug_pruning.
	* doc/updatedb.8.in: Document --debug-pruning.
	* tests/config.at (config: --debug-pruning): Add a M_CONF_UNTESTED note.

	* po/Makevars (MSGID_BUGS_ADDRESS): Update.  (This makes
	(intltool-update -p) work, and should fix Transifex.)

2008-03-02  Miloslav Trmač  <mitr@redhat.com>

	* tests/locate.at (locate: LOCATE_PATH): Don't assume the our full
	path doesn't contain "/f".

	* README: Point to the new home page.

2008-02-12  Miloslav Trmač  <mitr@redhat.com>

	* doc/locate.1.in
	* doc/updatedb.8.in: Fix typos.  Patch by A. Costa <agcosta@gis.net>.

2007-12-13  Miloslav Trmač  <mitr@redhat.com>

	* src/updatedb.c (main): Report what group we were trying to reassign
	the file to on failure.

2007-10-16  Miloslav Trmač  <mitr@redhat.com>

	* gnulib/m4/gnulib-cache.m4 (gl_MODULES): Use module gettext-h.
	* src/lib.h: #include "gettext.h" instead of <libintl.h>.
	(gettext, ngettext): Remove macros.  gettext.h provides them along with
	bindtextdomain() and textdomain().

	* tests/locate.at (locate: -S): Don't rely on GNU sed's \?.  Patch by
	Steve Edwards <sgedward@korime.demon.co.uk>.

	* src/lib.c (htonll, dir_path_cmp, db_open, db_refill)
	* src/updatedb.c (copy_old_dir, new_db_open): Move verify () among
	declarations in a block, it is implemented as an extern declaration.

	* src/updatedb.c (scan_subdirs): Remove useless duplicate "const".
	Patch by Steve Edwards <sgedward@korime.demon.co.uk>.

2007-08-25  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac: Release 0.18.
	* NEWS: Update.

2007-08-15  Miloslav Trmač  <mitr@redhat.com>

	* src/locate.c (handle_dbpath_entry): Fix uninitialized memory access
	when handling "-" in dbpath.

2007-07-02  Miloslav Trmač  <mitr@redhat.com>

	* doc/updatedb.8.in: Add an example of running updatedb as an
	unprivileged user.

2007-06-18  Miloslav Trmač  <mitr@redhat.com>

	* configure.ac
	* tests/testsuite.at: Use new features of autoconf-2.60.
	* Makefile.am: Use new features of automake-1.10.

2007-05-16  Miloslav Trmač  <mitr@redhat.com>

	* doc/locate.1.in: Add an example of using \ to avoid the implicit
	'*' operators around patterns.  Note which command-line options are
	opposites.

2007-04-25  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Release 0.17.
	* NEWS: Update.

	* src/updatedb.c (filesystem_is_excluded): Don't call realpath () on
	paths from /proc/self/mounts to avoid hangs on unavailable NFS
	filesystems.

2007-03-18  Miloslav Trmac  <mitr@redhat.com>

	* src/conf.c
	* src/conf.h
	* src/lib.c
	* src/lib.h
	* src/locate.c
	* src/updatedb.c: #include <stdbool.h>.  Use "bool" instead of "_Bool",
	use "true" and "false" where the constants are used as "bool" values.

2007-03-06  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Release 0.16.
	* NEWS: Update.

2007-03-02  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac (AM_INIT_AUTOMAKE): Add dist-bzip2.

	* src/conf.c
	* src/lib.c
	* src/lib.h
	* src/locate.c
	* src/updatedb.c: Revert header files order to the original: config.h,
	SUSv3 headers, library headers, mlocate headers.

2007-03-01  Miloslav Trmac  <mitr@redhat.com>

	* src/lib.h (struct string_list): New member "allocated".
	(cmp_dir_path_pointers): Remove declaration.
	(string_list_append, string_list_dir_path_sort): New declarations.
	* src/lib.c (string_list_append, string_list_dir_path_sort): New
	functions.
	(cmp_dir_path_pointers): Make static.
	* src/conf.c (struct var): Remove member "pointers", assume usage with
	an associated struct string_list.
	(var_init, var_add_values, var_clear, var_finish): Explicitly refer
	to the associated struct string_list, don't use an obstack for entry
	pointers.  All users updated.
	(uc_lex_buf, uc_lex_buf_size): New variables, replacing uc_obstack.
	(uc_lex_buf_append): New function.
	(uc_lex): Implicitly return string data in uc_lex_buf.
	* src/locate.c (conf_dbpath): Grow directly instead of using
	db_obstack.
	All users changed.
	(conf_patterns): Only store the original patterns.  Use a struct
	string_list.  Grow directly instead of using pattern_obstack.  All
	users changed.
	(conf_regex_patterns): New variable, used instead of conf_patterns. All
	users changed.
	(check_directory_perms): Use a manually managed buffer instead of
	check_obstack.
	(check_obstack, db_obstack, pattern_obstack): Remove variables.
	* src/updatedb.c (bind_mount_paths): Grow directly instead of using
	bind_mount_pointers_obstack.  All users changed.
	(bind_mount_pointers_obstack): Remove variable.
	(filesystem_is_excluded, scan_subdirs): Use a manually managed buffer
	instead of an obstack.

	* doc/mlocate.db.5: Document the prune_bind_mounts variable.
	* doc/updatedb.8.in: Document that --database-root does not have to be
	absolute, but will always be canonicalized.  Doclument
	--prune-bind-mounts.  Fix typos in font directives.
	* doc/updatedb.conf.5.in: Document PRUNE_BIND_MOUNTS.  Fix typos.

	* gnulib/m4/gnulib-cache.m4 (gl_MODULES): Use modules canonicalize-lgpl
	and timespec.
	* src/lib.h (struct string_list, cmp_dir_path_pointers): New
	declarations.
	* src/lib.c (cmp_dir_path_pointers): Move from ...
	* src/conf.c (cmp_dir_path_pointers): ... here.
	(conf_prunefs, conf_prunepaths): Use struct string_list, replaces
	conf_prunefs_len and conf_prunepaths_len.  All users updated.
	(conf_prune_bind_mounts): New variable.
	(parse_bool): New function, split from parse_arguments ().
	(var_finish): Directly update a struct string_list.  All users changed.
	(UCT_PRUNE_BIND_MOUNTS, UCT_PRUNEFS, UCT_PRUNEPATHS): New enum values.
	(uc_lex): Return specific values for known identifiers.
	(parse_updatedb_conf): Handle PRUNE_BIND_MOUNTS.
	(help): Document --prune-bind-mounts.  Generalize the text about default
	values.
	(parse_arguments): Add --prune-bind-mounts.  Don't require
	--database-root to be absolute, canonicalize it automatically.
	(gen_conf_block_string_list): New function, split from
	gen_conf_block ().
	(gen_conf_block): Add prune_bind_mounts.
	* src/conf.h (conf_prunefs, conf_prunepaths): Update declarations.
	(conf_prunefs_len, conf_prunepaths_len): Remove declarations.
	(conf_prune_bind_mounts): New declaration.
	* src/locate.c (conf_dbpath): Use struct string_list.  Replaces
	conf_dbpath_len.  All users updated.
	* src/updatedb.c (path_is_in_list): Split from scan ().
	(bind_mount_paths, bind_mount_paths_index, last_path_mounted_mtime)
	(bind_mount_paths_obstack, bind_mount_paths_mark)
	(bind_mount_pointers_obstack): New variables.
	(rebuild_bind_mount_paths, is_bind_mount, init_bind_mount_paths): New
	functions.
	(filesystem_is_excluded): Assume the input path is canonical.
	(scan): Exclude bind mounts if so configured.  Move did_chdir closer
	to its users.
	(main): Initialize bind mount list.
	* tests/config.at (config: -h): Update for new text.
	(config: -U): Update for new semantics.  Verify --database-root is
	canonicalized.
	(config: ---prune-bind-mounts): New test.

2007-02-27  Miloslav Trmac  <mitr@redhat.com>

	* src/updatedb.c (opendir_noatime): New function.
	(scan_cwd): Use opendir_noatime ().  This shaves a few seconds from
	first-time updatedb runs.
	* configure.ac: Check whether fdopendir () is available.

2007-02-26  Miloslav Trmac  <mitr@redhat.com>

	* src/conf.c (prepend_cwd): Use x2realloc ().

	* gnulib/m4/gnulib-cache.m4 (gl_MODULES): Use module mbsstr.
	* configure.ac: Don't use -Wcast-qual, gnulib's mbsstr doesn't compile
	with it.
	* src/locate.c (string_matches_pattern): Use mbsstr () instead of
	strstr () to handle multibyte encodings with non-unique start bytes
	correctly.

	* src/locate.c (write_quoted): Show only one question mark if the
	input string ends with an incomplete multibyte character.

	* src/locate.c (check_directory_perms): Reorganize to make the handling
	of "/" and top-level directories more clear.

	* doc/locate.1.in (DESCRIPTION): Fix punctuation.
	(NOTES): Note that locate may reorder the database path arbitrarily.

	* tests/config.at (config: -V)
	* tests/locate.at (locate: -V): Update for new copyright year.

	* gnulib/m4/gnulib-cache.m4 (gl_MODULES): Remove fwriterror (a typo).
	Remove timespec (a dependency of stat-time which mlocate doesn't use
	directly).

2007-02-21  Miloslav Trmac  <mitr@redhat.com>

	* README: Replace details by an unspecific promise.

	* configure.ac: Drop -Wnested-externs and -Wundef, gnulib's code can't
	handle them.

	* src/lib.c (htonll, ntohll, dir_path_cmp, db_open, db_refill)
	* src/updatedb.c (scan_subdirs, copy_old_dir, new_db_open): Use
	verify () instead of assert ().

	* src/lib.c (xmalloc, xrealloc): Remove in favor of gnulib's
	implementation.
	* src/lib.h (xmalloc, xrealloc): Remove declarations.

	* src/lib.c (db_refill): Use safe_read ().
	(db_read): Use mempcpy ().
	* src/locate.c (parse_dbpath): Use strchrnul () and mempcpy ().
	(parse_arguments, finish_dbpath): Use XNMALLOC ().
	* src/updatedb.c (time_get_ctime, time_get_mtime): Use
	get_stat_ctime_ns () and get_stat_mtime_ns ().

	* src/locate.c (main)
	* src/updatedb.c (main): Call set_program_name ().  Use fwriteerror ().

	* Makefile.am (ACLOCAL_AMFLAGS, AM_CPPFLAGS, SUBDIRS, src_locate_LDADD)
	(src_updatedb_LDADD)
	* configure.ac
	* src/conf.c
	* src/lib.c
	* src/lib.h
	* src/locate.c
	* src/updatedb.c
	* gnulib/m4/gnulib-cache.m4: Use gnulib, don't assume glibc.

2007-02-12  Miloslav Trmac  <mitr@redhat.com>

	* doc/locate.1.in: Fix a typo.

2007-01-29  Miloslav Trmac  <mitr@redhat.com>

	* doc/mlocate.db.5: Fix a pasto.

2007-01-16  Miloslav Trmac  <mitr@redhat.com>

	* doc/locate.1.in: Fix a typo in font change command.  (Reported by
	<esr@thyrsus.com>).

2006-11-16  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Update to 0.14.6.

2006-11-16  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Version 0.15.
	* NEWS: Update.

	* configure.ac (PROC_MOUNTS_PATH): New test.
	* src/updatedb.c (MOUNT_TABLE_PATH): New macro, using PROC_MOUNTS_PATH.
	(filesystem_is_excluded): Use MOUNT_TABLE_PATH.

2006-03-15  Miloslav Trmac  <mitr@redhat.com>

	* src/conf.c (help): Add missing closing paren.
	(parse_arguments): Fix error message.

	* Makefile.am (DISTCLEANFILES, EXTRA_DIST, TESTFILES, clean-local)
	(check-local, installcheck-local, tests/package.m4, tests/testsuite)
	* configure.ac: Add test suite.
	* tests/config.at
	* tests/locate.at
	* tests/testsuite.at
	* tests/updatedb.at: New files.

2006-02-19  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Version 0.14.
	* NEWS: Update.

	* README: Mention FNM_CASEFOLD requirement.

	* src/locate.c (_GNU_SOURCE): Define to get FNM_CASEFOLD.
	(conf_have_simple_pattern, conf_uppercase_patterns): New variables.
	(uppercase_string): Return a wide character string.
	(string_matches_pattern): Use FNM_CASEFOLD.  Use wcsstr () for
	case-insensitive simple pattern comparison.
	(parse_arguments): Leave conf_patterns in original case.  Set up
	conf_have_simple_pattern and conf_uppercase_patterns.
	(main): Leave uc_obstack with default alignment.

2006-02-15  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Version 0.13.
	* NEWS: Update.

	* README: Describe what the "mlocate" group is for.

2006-02-14  Miloslav Trmac  <mitr@redhat.com>

	* Makefile.am (install-exec-hook): Make locate, not updatedb SGID.
	Oops.
	(install-exec-local): Make the database directory accessible by the
	mlocate group.

2005-12-31  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Version 0.12.
	* NEWS: Update.

	* src/updatedb.c (time_get_ctime, time_get_mtime): Handle invalid
	nanosecond times returned by Captive NTFS.

2005-11-10  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Version 0.11.
	* NEWS: Update.

	* Makefile.am (bin_PROGRAMS, libexec_PROGRAMS, install-exec-hook): Move
	updatedb to $(bindir).

2005-10-23  Miloslav Trmac  <mitr@redhat.com>

	* src/locate.c (parse_options): Actually set got_follow to 1 when
	necessary.

2005-08-04  Miloslav Trmac  <mitr@redhat.com>

	* src/locate.c (conf_output_quote): New variable.
	(write_quoted): New function.
	(parse_options): Set conf_output_quote if writing to stdout without
	--null.
	(handle_path): Implement conf_output_quote.
[--snip--]
